package at.technikumwien.movies;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

@WebServlet(urlPatterns = "movieserviceservlet")
public class MoviesServlet extends HttpServlet {
    @Inject
    private MoviesService moviesService;

    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        PrintWriter out = response.getWriter();

        StringBuilder html = new StringBuilder("" +
                "<!DOCTYPE html>" +
                "<html>" +
                "<body>" +
                "<h1>Movies</h1>");

        moviesService.findAll().forEach(movies -> html.append("<h2>" + movies.getTitle() + "</h2>" +
                "<p>" + movies.getActors() + "</p>"));

        html.append("</body>" +
                "</html>");

        out.write(html.toString());
    }
}