package at.technikumwien.movies;

import javax.sound.sampled.Port;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import java.net.URL;

public class MoviesWebServiceClient {
    public static void main(String[] args) throws Exception {
        URL wsdl = new URL("http://localhost:8080/movies/MoviesWebService?wsdl");
        QName serviceName = new QName("http://movies.technikumwien.at/", "MoviesWebService");

        Service service = Service.create(wsdl, serviceName);
        MoviesWebService port = service.getPort(MoviesWebService.class);

        port.getAllMovies().forEach(System.out::println);
    }
}
